Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KEKIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.KEKIdentifier

All Implemented Interfaces:
  DEREncodable

public class KEKIdentifier
extends java.lang.Object
implements DEREncodable

Constructor Summary
`KEKIdentifier(ASN1Sequence seq)`
`KEKIdentifier(byte[] keyIdentifier, DERGeneralizedTime date, OtherKeyAttribute other)`

Method Summary
`DERGeneralizedTime` | `getDate()`
`DERObject` | `getDERObject()` KEKIdentifier ::= SEQUENCE { keyIdentifier OCTET STRING, date GeneralizedTime OPTIONAL, other OtherKeyAttribute OPTIONAL }
`static KEKIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a KEKIdentifier object from a tagged object.
`static KEKIdentifier` | `getInstance(java.lang.Object obj)` return a KEKIdentifier object from the given object.
`ASN1OctetString` | `getKeyIdentifier()`
`OtherKeyAttribute` | `getOther()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KEKIdentifier

    public KEKIdentifier(byte[] keyIdentifier,
                         DERGeneralizedTime date,
                         OtherKeyAttribute other)

### KEKIdentifier

    public KEKIdentifier(ASN1Sequence seq)

Method Detail

### getInstance

    public static KEKIdentifier getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

  return a KEKIdentifier object from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KEKIdentifier getInstance(java.lang.Object obj)

  return a KEKIdentifier object from the given object.
  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getKeyIdentifier

    public ASN1OctetString getKeyIdentifier()

### getDate

    public DERGeneralizedTime getDate()

### getOther

    public OtherKeyAttribute getOther()

### getDERObject

    public DERObject getDERObject()

       KEKIdentifier ::= SEQUENCE {
       	keyIdentifier OCTET STRING,
       	date GeneralizedTime OPTIONAL,
       	other OtherKeyAttribute OPTIONAL
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD